jQuery(document).ready(function ($) {
  var table = document.getElementById("all_reviews_table");
  var fromDate = table.dataset.from;
  var toDate = table.dataset.to;
  var branchId = table.dataset.branch;
  // console.log(branchId);

  const myTable = $("#all_reviews_table").DataTable({
    ajax: {
      url:
        ajax_url +
        "?action=sedra_reviews_datatables&nonce=" +
        nonce +
        "&branch_id=" +
        branchId +
        "&from_date=" +
        fromDate +
        "&to_date=" +
        toDate,
      cache: false,
    //   dataSrc: function (json) {
    //     const totalReviews = json.total_reviews;
    //     $('#total_reviews_display').text(totalReviews); 
    //     return json.data; 
    // }
    },

    dom: "lBfrtip",

    buttons: ["copy", "csv", "excel", "pdf", "print"],

    columns: [
      { data: "id" },
      { data: "name" },
      { data: "email" },
      { data: "phone" },
      { data: "branch" },
      { data: "question4" },
      { data: "question5" },
      { data: "question6" },
      { data: "question15" },
      { data: "captain_recommend" },
      { data: "question8" },
      { data: "question9" },
      { data: "question10" },
      { data: "question13" },
      { data: "question17" },
      { data: "how_know_us" },
      { data: "question19" },
      { data: "comments" },
      { data: "total_score" },
      { data: "review_date" },
      { data: "view" },
    ],

    order: [[0, "asc"]],
    pageLength: 20,
    lengthMenu: [
      [10, 20, 50, -1],
      [10, 20, 50, "All"],
    ],
    initComplete: function (settings, json) {
      $("td").has(".toggle-td").addClass("d-none");
    },
  });


  // get data into review popup
  $(document).on("click", ".popup-btn", function (e) {
    e.preventDefault();
    var review_id = $(this).attr("data-review_id");
    console.log(review_id);
    $.ajax({
      type: "post",
      dataType: "json",
      url: ajax_url,
      data: {
        action: "add_reviews_details",
        review_id: review_id,
        nonce: nonce,
      },
      success: function (response) {
        if (response.type == "success") {
          $(".review-details").html(response.data);
        } else {
          $(".review-details").html(response.data);
        }
      },
      error: function (jqXHR, textStatus, errorThrown) {
        $(".review-details").html(
          jqXHR + " :: " + textStatus + " :: " + errorThrown
        );
      },
    });
  });


});
