jQuery(document).ready(function ($) {

  let elementsToHandle = [
    {
      triggerClass: "logo_img_upload",
      imageClass: "logo_img",
      urlInputClass: "logo_img_url",
    },
    {
      triggerClass: "bg_img_upload",
      imageClass: "bg_img",
      urlInputClass: "bg_img_url",
    },
    {
      triggerClass: "mobile_bg_img_upload",
      imageClass: "mobile_bg_img",
      urlInputClass: "mobile_bg_img_url",
    },
    {
      triggerClass: "doctor_img_upload",
      imageClass: "doctor_img",
      urlInputClass: "doctor_img_url",
    },
    {
      triggerClass: "reservation_img_upload",
      imageClass: "reservation_img",
      urlInputClass: "reservation_img_url",
    },
    {
      triggerClass: "favicon_img_upload",
      imageClass: "favicon_img",
      urlInputClass: "favicon_img_url",
    },
    {
      triggerClass: "two_img_upload",
      imageClass: "two_img",
      urlInputClass: "two_img_url",
    },
    {
      triggerClass: "seven_img_upload",
      imageClass: "seven_img",
      urlInputClass: "seven_img_url",
    },
  ];

  elementsToHandle.forEach(function (element) {
    $("." + element.triggerClass).click(function (e) {
      e.preventDefault();
      var custom_uploader = wp
        .media({
          title: "Choose Image ",
          button: {
            text: "Upload Image",
          },
          multiple: false,
        })
        .on("select", function () {
          var attachment = custom_uploader
            .state()
            .get("selection")
            .first()
            .toJSON();
          $("." + element.imageClass).attr("src", attachment.url);
          $("." + element.urlInputClass).val(attachment.url);
        })
        .open();
    });
  });
});

jQuery(document).ready(function ($) {
  $("#upload-gallery-button").click(function (e) {
    e.preventDefault();
    var galleryFrame;
    if (galleryFrame) {
      galleryFrame.open();
      return;
    }
    galleryFrame = wp.media({
      title: "Select Images for Gallery",
      button: {
        text: "Insert into Gallery",
      },
      multiple: true,
    });
    galleryFrame.on("select", function () {
      var selection = galleryFrame.state().get("selection");
      var galleryImages = [];
      selection.each(function (attachment) {
        galleryImages.push(attachment.attributes.url);
      });
      $("#gallery").val(galleryImages.join(","));
    });
    galleryFrame.open();
  });


  $("#hide-columns").on("click", function () {
    var tableColumns = document.querySelectorAll(".toggle-column");
    var tableHiddenColumns = document.querySelectorAll(".toggle-column.d-none");

    tableColumns.forEach(function (column) {
      column.classList.add("d-none");
    });

    tableHiddenColumns.forEach(function (column) {
      column.classList.remove("d-none");
    });

    $("td").has(".toggle-td").toggleClass("d-none");
  });
});