<?php get_header();
$args = [
    'post_type' => 'testimonial',
    'posts_per_page' => -1
];

$redirect_url = doctor_get_template_url('page-thank.php');


$testimonial_query = new WP_Query($args);

$args2 = [
    'post_type' => 'before&after',
    'posts_per_page' => get_option('services_count')
];

$before_query = new WP_Query($args2);

$bg_image = wp_is_mobile() ? get_option('doctor_mobile_bg_img') : get_option('doctor_bg_img');

$overlayColor = get_option('doctor_overlayColor');
$iconColor = get_option('doctor_testiIconColor');

$overlayRgb = hexToRgba($overlayColor);
$iconRgb = hexToRgba($iconColor);


?>
<!-- Hero -->
<style>
    .testimonials .testimonial__item::before {
        color: rgba(<?= $iconRgb ?> 0.2);
    }

    header {
        background-image: url(<?= $bg_image ?>);
    }

    header .overlay {
        background: linear-gradient(to left, rgba(<?= $overlayRgb ?> 0.862745098), rgba(<?= $overlayRgb ?> 0.4980392157));
    }

    .testimonials .testimonial__item::before {
        color: rgba(<?= $iconColor ?> 0.2);
    }
</style>

<body data-new-gr-c-s-check-loaded="14.1187.0" data-gr-ext-installed="">
    <!-- Navbar -->
    <div class="navigation">
        <div class="container">
            <nav class="navbar navbar-expand-lg bg-body-tertiary d-flex justify-content-between align-items-center">
                <a class="navbar-brand" href="<?= DOCTOR_BlogUrl ?>">
                    <img src="<?php echo get_option('doctor_logo_img'); ?>" width="140" alt="logo">
                </a>

                <button class="navbar-toggler" type="button" data-bs-toggle="collapse" data-bs-target="#navbarSupportedContent" aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation">
                    <span class="navbar-toggler-icon"></span>
                </button>
                <div class="collapse navbar-collapse" id="navbarSupportedContent">
                    <ul class="navbar-nav me-auto mb-2 mb-lg-0">
                        <li class="nav-item">
                            <a class="nav-link active nav__scroll__link" aria-current="page" href="#hero" data-scroll="#hero">الرئيسية</a>
                        </li>

                        <li class="nav-item">
                            <a class="nav-link nav__scroll__link" href="#tesimonials" data-scroll="#services">اَراء عملائنا</a>
                        </li>
                        <li class="nav-item">
                            <a class="nav-link nav__scroll__link" href="#contactUs" data-scroll="#contactUs">احجزي موعدك</a>
                        </li>
                    </ul>
                </div>
            </nav>
        </div>
    </div>
    <header id="hero">
        <div class="overlay"></div>
        <div class="container">
            <div class="row">
                <div class="col-lg-8 col-md-8 col-xs-12 d-flex align-items-center">
                    <div class="info">
                        <h4 class="second__title">
                            <?php echo get_option('doctor_home_title'); ?>
                        </h4>
                        <h1 class="main__title">
                            <?php echo get_option('doctor_home_subtitle'); ?>

                        </h1>
                        <p class="desc">
                            <?php echo get_option('doctor_home_desc'); ?>
                        </p>
                        <div class="d-flex align-items-center gap-2">
                            <a href="<?php echo get_option('doctor_btn_url'); ?>" class="action"> <?php echo get_option('doctor_btn_txt'); ?> </a>
                        </div>
                    </div>
                </div>
            </div>
        </div>

        <!-- Main Image -->
        <img class="main-image" src="<?php echo get_option('doctor_img'); ?>" alt="Doctor Image">
    </header>

    <section class="services" id="services">
        <div class="container">
            <div class="title text-center">
                <h2><?php echo get_option('services_title'); ?></h2>
                <p>
                    <?php echo get_option('services_subtitle'); ?>
                </p>
            </div>
            <div class="slider">
                <div class="owl-carousel owl-theme owl-rtl owl-loaded owl-drag">

                    <div class="owl-stage-outer">
                        <div class="owl-stage">
                            <?php if ($before_query->have_posts()) : ?>
                                <?php while ($before_query->have_posts()) : $before_query->the_post();
                                ?>
                                    <div class="owl-item ">
                                        <div class="service-block-new-1 before      -after">
                                            <div class="inner-box">
                                                <a href="<?= the_post_thumbnail_url(); ?>" data-fancybox="gallery" data-caption="<?= get_the_title(); ?>">
                                                    <img src="<?= the_post_thumbnail_url('before-size'); ?>" alt="beforeImage" />
                                                </a>
                                            </div>

                                        </div>
                                    </div>
                            <?php
                                endwhile;
                                wp_reset_postdata();
                            endif;
                            ?>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </section>

    <!-- Testimonials -->
    <section class="testimonials" id="tesimonials">
        <div class="container">
            <div class="title text-center">
                <h2><?php echo get_option('testimonial_title'); ?></h2>
                <p>
                    <?php echo get_option('testimonial_subtitle'); ?>
                </p>
            </div>
            <div class="slider">
                <div class="owl-carousel owl-theme owl-rtl owl-loaded owl-drag">

                    <div class="owl-stage-outer">
                        <div class="owl-stage">
                            <?php if ($testimonial_query->have_posts()) : ?>
                                <?php while ($testimonial_query->have_posts()) : $testimonial_query->the_post(); ?>
                                    <div class="owl-item ">
                                        <div class="item">
                                            <div class="testimonial__item">
                                                <p>
                                                    <?= get_the_content() ?>
                                                </p>

                                                <div class="author">
                                                    <div class="data">
                                                        <h5><?= get_the_title() ?></h5>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                <?php endwhile; ?>
                                <?php wp_reset_postdata(); ?>
                            <?php else : ?>
                                <p><?php _e('No testimonials found', 'textdomain'); ?></p>
                            <?php endif; ?>
                        </div>
                    </div>

                </div>
            </div>
        </div>
    </section>

    <section class="contact-us" id="contactUs" style="background-image: url(<?php echo get_option('reservation_img'); ?>);">
        <div class="overlay" style="background: linear-gradient(to left, rgba(<?= $overlayRgb ?> 0.862745098), rgba(<?= $overlayRgb ?> 0.4980392157));"></div>
        <div class="container">
            <div class="row justify-content-center">
                <div class="col-lg-6 col-md-6 col-xs-12">
                    <div class="form">
                        <div class="form__title">
                            <h3><?php echo get_option('reservation_title'); ?></h3>
                            <p><?php echo get_option('reservation_subtitle'); ?></p>
                        </div>
                        <div id="alert-placeholder" style="margin:30px"></div>
                        <form id="reservation-form" method="post">
                            <fieldset>
                                <label for="formName">الإسم <span>*</span></label>
                                <input class="del-val" type="text" name="name" id="formName" placeholder="الرجاء ادخال الإسم كاملاً" required="">
                            </fieldset>
                            <fieldset>
                                <label for="formPhone">رقم الهاتف <span>*</span></label>
                                <input class="del-val" type="text" name="phone" id="formPhone" placeholder="الرجاء ادخال رقم الهاتف" required="">
                            </fieldset>
                            <fieldset>
                                <label for="formService">الخدمة <span>*</span></label>
                                <input class="del-val" type="text" name="service" id="formService" placeholder="الرجاء ادخال الخدمة المطلوبة" required="">
                            </fieldset>
                            <fieldset>
                                <label for="formDetails">ملاحظات</label>
                                <textarea class="del-val" name="details" id="formDetails" placeholder="رسالتك..."></textarea>
                            </fieldset>

                            <button type="submit">احجز الموعد الاَن</button>
                        </form>
                    </div>

                    <script>
                        document.getElementById('reservation-form').addEventListener('submit', function(e) {
                            e.preventDefault();

                            const form = e.target;
                            const data = new FormData(form);
                            const formData = {};

                            data.forEach((value, key) => {
                                formData[key] = value;
                            });

                            console.log(formData);
                            // Store the original phone number entered by the user
                            let originalPhone = formData.phone;

                            // Replace non-numeric characters while preserving Arabic digits
                            let phone = originalPhone.replace(/[^\d\u0660-\u0669]/g, ''); // \u0660-\u0669 are the Unicode ranges for Arabic digits

                            // Update formData with the cleaned phone number
                            formData.phone = phone;
                            fetch('<?= get_option('sheet_api') ?>', {
                                    method: 'POST',
                                    headers: {
                                        'Content-Type': 'application/json'
                                    },
                                    body: JSON.stringify(formData)
                                })
                                .then(response => response.json())
                                .then(data => {
                                    console.log('Success:', data);

                                    // Create a new form element for the redirect
                                    const emailForm = document.createElement('form');
                                    emailForm.method = 'POST';
                                    emailForm.action = '<?php echo $redirect_url; ?>';

                                    // Add form data as hidden fields
                                    const fields = {
                                        userName: formData.name,
                                        phone: formData.phone,
                                        service: formData.service,
                                        details: formData.details
                                    };

                                    for (const key in fields) {
                                        if (fields.hasOwnProperty(key)) {
                                            const hiddenField = document.createElement('input');
                                            hiddenField.type = 'hidden';
                                            hiddenField.name = key;
                                            hiddenField.value = fields[key];
                                            emailForm.appendChild(hiddenField);
                                        }
                                    }

                                    // Append the new form to the body and submit it
                                    document.body.appendChild(emailForm);
                                    emailForm.submit();

                                    // Reset the original form if needed
                                    form.reset();
                                })
                                .catch((error) => {
                                    console.error('Error:', error);
                                    showAlert('حدث خطأ أثناء إرسال النموذج', 'danger');
                                });
                        });

                        function showAlert(message, type) {
                            const alertPlaceholder = document.getElementById('alert-placeholder');
                            const alert = `
        <div class="alert alert-${type} alert-dismissible fade show" role="alert">
            ${message}
        </div>
    `;
                            alertPlaceholder.innerHTML = alert;
                        }

                        $(document).ready(function() {
                            $('[data-fancybox="gallery"]').fancybox({
                                // Custom options can be added here
                            });
                        });
                    </script>

                </div>
            </div>
        </div>
    </section>

    <?php get_footer() ?>