<?php
function doctor_add_extra_data_metabox()
{
    add_meta_box("before_after_extra_data", "Before&After Images", "doctor_before_after_data_callback", array('before&after'), "normal");
}

add_action('add_meta_boxes', 'doctor_add_extra_data_metabox');

function doctor_before_after_data_callback($post)
{
    $doctor_before_image    = esc_attr(get_post_meta($post->ID, 'doctor_before_image', true));
    $doctor_after_image    = esc_attr(get_post_meta($post->ID, 'doctor_after_image', true));
?>
    <div class="form-group">

        <label for="doctor_before_image" class="col-sm-12   control-label">Before Image</label>

        <div class="col-sm-12  ">

            <input class="two_img_url doctord_half" type="text" style="width: 70%;" name="doctor_before_image" value="<?= $doctor_before_image ?>">
            <a href="#" class="two_img_upload button button-primary button-large">Choose </a>
            <br>
            <img class="two_img rounded img-fluid" src="<?= $doctor_before_image ?>" height="auto" style="max-width:20%" />

        </div>

    </div>

    <div class="form-group">

        <label for="doctor_after_image" class="col-sm-12   control-label ">After Image</label>

        <div class="col-sm-12  ">

            <input class="seven_img_url doctord_half" type="text" style="width: 70%;" name="doctor_after_image" value="<?= $doctor_after_image ?>">
            <a href="#" class="seven_img_upload button button-primary button-large">Choose </a>
            <br>
            <img class="seven_img rounded img-fluid" src="<?= $doctor_after_image ?>" height="auto" style="max-width:20%" />

        </div>

    </div>

<?php
}

add_action('save_post', 'doctor_save_custom_meta', 10, 2);

function doctor_save_custom_meta($post_id)
{

    if (isset($_POST['doctor_before_image'])) {
        update_post_meta($post_id, 'doctor_before_image', $_POST['doctor_before_image']);
    } else {
        delete_post_meta($post_id, 'doctor_before_image');
    }

    if (isset($_POST['doctor_after_image'])) {
        update_post_meta($post_id, 'doctor_after_image', $_POST['doctor_after_image']);
    } else{   
        delete_post_meta($post_id, 'doctor_after_image');
    }
}
